Subject: guix gc fails catastrophically if the disk has no space left

From: Stefan <[email-masked]>
Date: Sat, 23 May 2020 17:53:28 +0200

Hi!

After this trouble with guix gc I did a sudo reboot, and it got worse. At startup I now see these errors:

GC Warning: pthread_getattr_up or pthread_attr_getstack failed for main thread
GC Warning: Couldn't read /proc/stat
Welcome, this is GNU's early boot Guile.
Use --repl for an initrd REPL.

loading kernel modules…
loading '/gnu/store/…-system/boot'...
making '/gnu/store/…-system' the current system...
setting up setuid programs in '/run/setuid-programs'...
warning: failed to make '/gnu/store/…-shadow-4.8.1/bin/newuidmap' setuid-root: No space left on device
warning: failed to make '/gnu/store/…' setuid-root: No space left on device
…
populating /etc from /gnu/store/…-etc...
ERROR: In procedure fsync:
In procedure fsync: No space left on device

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
GNU Guile 2.2.6
Copyright …
…

Enter `help' for help.
scheme@(guile-user)> ,bt
In gnu/build/linux-boot.scm:
   561:14 10 (_)
In unknown file:
           9 (primitive-load "/gnu/store/…")
In ice-9/eval.scm:
   619:8 (_ #f)
In unknown file:
           7 (primitive-load "/gnu/store/…")
In ice-9/boot-9.scm:
   260:13  6 (for-each #<procedure primitive-load (_)> _)
In unknown file:
           5 (primitive-load "/gnu/store/_")
In gnu/build/activation.scm:
    136:2  4 (activate-users+groups _ _)
In guix/build/syscalls.scm:
   1089:4  3 (call-with-file-lock _ _)
In gnu/build/activation.scm:
    139:6  2 (_)
In gnu/build/accounts.scm:
   253:14  1 (_ (#<<group-entry> name: "root" password: #f gid: …> …) …)
In unknown file:
           0 (fsync #<input-output: /etc/group.bJpcke 18>)
scheme@(guile-user)>

Now this is the very end. Even selecting an older system generation is obviously not an option any more. 

I’m happy that all this is on my NFS share to which I have access via my server.

Bye

Stefan